diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 4625cac..d2c2088 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -125934,12 +125934,12 @@ PolynomialSolveByFormulas(UP, F): PSFcat == PSFdef where
 
         mapSolve(p, fn) ==
             -- map := fn #1   replaced with line below
-            locmap: F -> F := fn #1; map := id locmap
+            locmap: F -> F := x +-> fn x; map := id locmap
             mapSolving? := true;  maplist := []
             slist := solve p
             mapSolving? := false;
             -- map := id #1   replaced with line below
-            locmap := id #1; map := id locmap
+            locmap := x +-> id x; map := id locmap
             [slist, maplist]
 
         part(s: F): F ==
diff --git a/changelog b/changelog
index f34cd1e..1ad264b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090613 tpd src/axiom-website/patches.html 20090613.02.tpd.patch
+20090613 tpd books/bookvol10.4 SOLVEFOR +-> conversion
 20090613 tpd src/axiom-website/patches.html 20090613.01.tpd.patch
 20090613 tpd books/bookvol10.4 PGCD +-> conversion
 20090612 tpd src/axiom-website/patches.html 20090612.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index fb2b186..080dc06 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1561,5 +1561,7 @@ bookvol10.4 PFBRU +-> conversion<br/>
 bookvol10.4 POLY2 +-> conversion<br/>
 <a href="patches/20090613.01.tpd.patch">20090613.01.tpd.patch</a>
 bookvol10.4 PGCD +-> conversion<br/>
+<a href="patches/20090613.02.tpd.patch">20090613.02.tpd.patch</a>
+bookvol10.4 SOLVEFOR +-> conversion<br/>
  </body>
 </html>
